Nieuws:

Welkom, Gast. Alsjeblieft inloggen of registreren.
Heb je de activerings-mail niet ontvangen?

Auteur Topic: Installatie SVN geeft foutmeldingen  (gelezen 1824 keer)

Offline sandersjj

  • Lid
  • Steunpunt: Nee
Installatie SVN geeft foutmeldingen
« Gepost op: 2008/12/14, 12:11:04 »
Hallo allemaal,

Ik ben bezig om SVN te installeren.

Hiervoor gebruik ik  deze http://www.sellersrank.com/ubuntu/setup-apache-subversion-ssl-https-with-virtual-hosts-on-ubuntu/ handleiding

Bij het uitvoeren van:

sudo apt-get install libapache2-svnKreeg ik de volgende melding:


Reading package lists... Done
Building dependency tree       
Reading state information... Done
The following packages were automatically installed and are no longer required:
  libc-client2002edebian linux-headers-2.6.24-16-generic
  linux-headers-2.6.24-16
Use 'apt-get autoremove' to remove them.
The following extra packages will be installed:
  libsvn1
Suggested packages:
  db4.6-util patch libsvn-ruby1.8
Recommended packages:
  exim4 mail-transport-agent libconfig-inifiles-perl libsvn-perl
  python-subversion
The following NEW packages will be installed:
  libsvn1 subversion subversion-tools
0 upgraded, 3 newly installed, 0 to remove and 179 not upgraded.
Need to get 1009kB of archives.
After this operation, 5427kB of additional disk space will be used.
Do you want to continue [Y/n]? y
Get:1 http://nl.archive.ubuntu.com hardy/main libsvn1 1.4.6dfsg1-2ubuntu1 [594kB]
Get:2 http://nl.archive.ubuntu.com hardy/main subversion 1.4.6dfsg1-2ubuntu1 [243kB]
Get:3 http://nl.archive.ubuntu.com hardy/main subversion-tools 1.4.6dfsg1-2ubuntu1 [172kB]
Fetched 1009kB in 1s (763kB/s)     
Selecting previously deselected package libsvn1.
(Reading database ... dpkg: error processing /var/cache/apt/archives/libsvn1_1.4.6dfsg1-2ubuntu1_i386.deb (--unpack):
 failed in buffer_read(fd): files list for package `ubuntu-standard': Input/output error
Errors were encountered while processing:
 /var/cache/apt/archives/libsvn1_1.4.6dfsg1-2ubuntu1_i386.deb
Processing was halted because there were too many errors.
E: Sub-process /usr/bin/dpkg returned an error code (1)

Wat moet ik hiermee. Kan ik mijn installatie process gewoon volgen of moet ik iets anders doen?

Offline Gijsbert

  • Lid
  • Steunpunt: Ja
Re: Installatie SVN geeft foutmeldingen
« Reactie #1 Gepost op: 2008/12/14, 12:38:36 »
Type dit eens in de terminal  dpkg --configure -a   Hierna nog eens proberen te installeren, lukt het nu? Kijk anders in Synaptic voor libapache2-svn en installeer dit pakket, krijg je nu ook meldingen?

Met vriendelijke groet,

Gijs
In der Beschränkung zeigt sich der Meister.

Offline Johan van Dijk

  • Administrator
    • johanvandijk
  • Steunpunt: Nee
Re: Installatie SVN geeft foutmeldingen
« Reactie #2 Gepost op: 2008/12/14, 13:46:48 »
Een input/output error is niet goed hoor.
Is je schijf misschien vol?

Offline Cumulus007

  • Lid
  • Steunpunt: Nee
Re: Installatie SVN geeft foutmeldingen
« Reactie #3 Gepost op: 2008/12/14, 13:52:04 »
Ik heb twee vermoedens:

- de pakketten die gedownload zijn, zijn beschadigd
- de partitie is beschadigd (niet waarschijnlijk)


Offline sandersjj

  • Lid
  • Steunpunt: Nee
Re: Installatie SVN geeft foutmeldingen
« Reactie #4 Gepost op: 2008/12/14, 15:34:35 »
Bedankt voor de reacties.

Ik heb eerst dat  dpkg --configure -a   geprobeerd en daarna alsnog svn proberen te installeren. Maar dat is myslukt.

Daarna heb ik het geprobeerd met synpatic en toen kreeg ik:





E: /var/cache/apt/archives/libsvn1_1.4.6dfsg1-2ubuntu1_i386.deb: failed in buffer_read(fd)


Offline AutoStatic

  • Lid
    • autostatic
    • linux.autostatic.com - Audio Productie & Linux
  • Steunpunt: Nee
Re: Installatie SVN geeft foutmeldingen
« Reactie #5 Gepost op: 2008/12/14, 16:53:48 »
Hallo sandersjj, volgens mij gaat er iets niet helemaal goed met je harde schijf/bestandssysteem. Er zit ergens iets fout. Via System - Administration - System Log kun je je logs checken. Vooral in messages en syslog staat de nodige info.

Offline sandersjj

  • Lid
  • Steunpunt: Nee
Re: Installatie SVN geeft foutmeldingen
« Reactie #6 Gepost op: 2008/12/14, 16:59:04 »
Dit is wat er in staat:
http://pastebin.com/m3ea659f1


Offline AutoStatic

  • Lid
    • autostatic
    • linux.autostatic.com - Audio Productie & Linux
  • Steunpunt: Nee
Re: Installatie SVN geeft foutmeldingen
« Reactie #7 Gepost op: 2008/12/14, 17:09:02 »
Hmmm, dan is het wel verstandig om een filesystem check uit te voeren, staan de nodige fouten in je logs.
In een terminal sudo touch /forcefsck ingeven en herstarten.
« Laatst bewerkt op: 2008/12/14, 17:15:20 door AutoStatic »

Offline sandersjj

  • Lid
  • Steunpunt: Nee
Re: Installatie SVN geeft foutmeldingen
« Reactie #8 Gepost op: 2008/12/14, 19:15:53 »
Ik heb de code uitgevoerd en opnieuw herstart.
Moet ik nu nog iets doen voordat ik hem opnieuw probeer te installeren?

Offline AutoStatic

  • Lid
    • autostatic
    • linux.autostatic.com - Audio Productie & Linux
  • Steunpunt: Nee
Re: Installatie SVN geeft foutmeldingen
« Reactie #9 Gepost op: 2008/12/14, 19:56:57 »
Je kan het opnieuw proberen te installeren, als het goed is heeft de filesystem check gedraaid.

Offline sandersjj

  • Lid
  • Steunpunt: Nee
Re: Installatie SVN geeft foutmeldingen
« Reactie #10 Gepost op: 2008/12/14, 20:10:11 »
Dan krijg ik als nog deze fout:

E: /var/cache/apt/archives/libsvn1_1.4.6dfsg1-2ubuntu1_i386.deb: failed in buffer_read(fd)

Offline AutoStatic

  • Lid
    • autostatic
    • linux.autostatic.com - Audio Productie & Linux
  • Steunpunt: Nee
Re: Installatie SVN geeft foutmeldingen
« Reactie #11 Gepost op: 2008/12/14, 20:26:04 »
Zou je logs weer checken. En je harde schijf, heb dit soort problemen ook gehad op twee machines. Bij de een was het de USB PCI kaart waaraan een externe harde schijf zat. Kaart zat er net niet goed in. Bij de andere machine was het een slee met harddrive die ik er niet goed genoeg in had gedrukt.

Offline zappa

  • Lid
    • http://www.c3c.be
  • Steunpunt: Nee
Re: Installatie SVN geeft foutmeldingen
« Reactie #12 Gepost op: 2008/12/15, 12:15:14 »
Ik denk zoals Cumulus007: het pakket is niet goed gedownd.

sudo aptitude Purge libsvn
sudo aptitude autoclean
sudo aptitude update
sudo aptitude install libsvn

(En kijk of ie wel mooi een wget doet van het pakket libsvn)

Offline sandersjj

  • Lid
  • Steunpunt: Nee
Re: Installatie SVN geeft foutmeldingen
« Reactie #13 Gepost op: 2008/12/15, 12:21:58 »
Dit is wat ik krijg bij het uitvoeren van het eerste comando:


Reading package lists... Done
Building dependency tree       
Reading state information... Done
Initializing package states... Done
Writing extended state information... Done
Building tag database... Done             
Couldn't find package "libsvn".  However, the following
packages contain "libsvn" in their name:
  libsvn-ruby libsvn-notify-perl libsvn-javahl libsvn-simple-perl libsvn1
  libsvn-mirror-perl libsvn-java libsvn-ruby1.8 libsvn-core-perl
  libsvn-web-perl libsvn-dev libsvn-doc libsvnqt4 libsvn-notify-mirror-perl
  libsvn-perl libsvncpp-dev libsvncpp0c2a libsvnqt-dev
Couldn't find package "libsvn".  However, the following
packages contain "libsvn" in their name:
  libsvn-ruby libsvn-notify-perl libsvn-javahl libsvn-simple-perl libsvn1
  libsvn-mirror-perl libsvn-java libsvn-ruby1.8 libsvn-core-perl
  libsvn-web-perl libsvn-dev libsvn-doc libsvnqt4 libsvn-notify-mirror-perl
  libsvn-perl libsvncpp-dev libsvncpp0c2a libsvnqt-dev
The following packages are unused and will be REMOVED:
  libc-client2002edebian linux-headers-2.6.24-16
  linux-headers-2.6.24-16-generic
The following packages have been automatically kept back:
  apt apt-utils cpp-4.2 dbus-x11 firefox-3.0 firefox-3.0-gnome-support
  gcc-4.2 gvfs gvfs-backends jockey-common libc6-dev libcamel1.2-11 libffi4
  libgdata-google1.2-1 libgdata1.2-1 libgomp1 libgvfscommon0
  libmysqlclient15off libnss3-1d libpq5 libsnmp15 libsoup2.4-1 libxml2-dev
  linux-libc-dev linux-restricted-modules-common mysql-client-5.0
  mysql-common mysql-server-5.0 openoffice.org-base-core
  openoffice.org-filter-binfilter openoffice.org-filter-mobiledev
  openoffice.org-officebean openoffice.org-writer2latex xulrunner-1.9
  xulrunner-1.9-gnome-support
The following packages have been kept back:
  alacarte anacron app-install-data-commercial base-files bind9-host
  compiz-fusion-plugins-main cupsys cupsys-bsd cupsys-client cupsys-common
  dbus deskbar-applet dnsutils eject evince evolution-data-server
  evolution-data-server-common firefox firefox-gnome-support foo2zjs
  gcc-4.2-base gcj-4.2-base gdb gij-4.2 grub gstreamer0.10-tools
  gtk2-engines-pixbuf gvfs-fuse hal-info hpijs hplip hplip-data
  initramfs-tools jockey-gtk language-pack-en language-pack-gnome-en
  libapache2-mod-php5 libbind9-30 libc6 libc6-i686 libcupsimage2 libcupsys2
  libdbus-1-3 libdns35 libebook1.2-9 libecal1.2-7 libedata-book1.2-2
  libedata-cal1.2-6 libedataserver1.2-9 libedataserverui1.2-8
  libegroupwise1.2-13 libexchange-storage1.2-3 libexif12 libfreetype6
  libgcc1 libgcj8-1 libgksu2-0 libglib2.0-0 libgnutls13 libgphoto2-2
  libgphoto2-port0 libgstreamer0.10-0 libgtk2.0-0 libgtk2.0-bin
  libgtk2.0-common libisccc30 libisccfg30 liblwres30 libnautilus-extension1
  libnspr4-0d libnss3-0d libpurple0 libsmbclient libsnmp-base libstdc++6
  libtiff4 libvorbis0a libvorbisenc2 libvorbisfile3 libxml2 libxml2-utils
  linux-generic linux-headers-2.6.24-19 linux-headers-2.6.24-19-generic
  linux-headers-generic linux-image-2.6.24-19-generic linux-image-generic
  linux-restricted-modules-generic login logrotate module-init-tools
  mysql-server nautilus nautilus-data nautilus-sendto openoffice.org
  openoffice.org-base openoffice.org-calc openoffice.org-common
  openoffice.org-core openoffice.org-draw openoffice.org-evolution
  openoffice.org-gnome openoffice.org-gtk openoffice.org-impress
  openoffice.org-java-common openoffice.org-math openoffice.org-style-human
  openoffice.org-writer passwd pciutils php-pear php5 php5-cli php5-common
  php5-curl php5-dev php5-gd php5-mysql php5-xmlrpc php5-xsl phpmyadmin
  pidgin pidgin-data python-apt python-gnome2-extras python-gtkhtml2
  python-libxml2 python-uno rdesktop samba-common smbclient sudo
  thunderbird-locale-en-gb ttf-opensymbol tzdata update-manager
  update-manager-core update-notifier update-notifier-common vinagre
  xkb-data xserver-xorg-video-intel yelp
0 packages upgraded, 0 newly installed, 3 to remove and 179 not upgraded.
Need to get 0B of archives. After unpacking 69.5MB will be freed.
Do you want to continue? [Y/n/?]